### 5.1.166 variables

`Syntax:`
  `variables (` poly_expression `)`
  `variables (` ideal_expression `)`
  `variables (` matrix_expression `)`
`Type:`
  ideal
`Purpose:`
  `variables(p)` returns the list of all ring variables the argument depends on.
`Example:`

        ring r=0,(x,y,z),dp;
        variables(2);
      ==> _[1]=0
        variables(x+y2);
      ==> _[1]=x
      ==> _[2]=y
        variables(ideal(x+y2,x3y,z));
      ==> _[1]=x
      ==> _[2]=y
      ==> _[3]=z
        string(variables(ideal(x+y2,x3y,z)));
      ==> x,y,z

See leadexp; nvars; univariate; var; varstr.

User manual for Singular version 4.4.1, 2025, generated by texi2html.